﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_DATABASE') 
 CREATE TABLE T_CBS_ARCHI_DATABASE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FLOGICSUFFIX NVARCHAR(3) DEFAULT ' ' NOT NULL,
FDATABASE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FARCHIVEROUTE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATABASE_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_DATABASE_L') 
 CREATE TABLE T_CBS_ARCHI_DATABASE_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_GROUP_RULE') 
 CREATE TABLE T_CBS_ARCHI_GROUP_RULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF NCHAR(1) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_GROUP_RULE_L') 
 CREATE TABLE T_CBS_ARCHI_GROUP_RULE_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_TBBAK') 
 CREATE TABLE T_CBS_ARCHI_TBBAK (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FTABLE_NAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMAP_NAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCLEANSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CBS_ARCHI_ENTITY' AND KSQL_COL_NAME ='FDATABASE_TYPE') 
 ALTER TABLE T_CBS_ARCHI_ENTITY ADD (FDATABASE_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CBS_ARCHI_SCHEDULE' AND KSQL_COL_NAME ='FSTARTTIME') 
 ALTER TABLE T_CBS_ARCHI_SCHEDULE ADD (FSTARTTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CBS_ARCHI_SCHEDULE' AND KSQL_COL_NAME ='FENDTIME') 
 ALTER TABLE T_CBS_ARCHI_SCHEDULE ADD (FENDTIME DATETIME );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CBS_ARCHI_SCHEDULE' AND KSQL_COL_NAME ='FCYCLEINFO') 
 ALTER TABLE T_CBS_ARCHI_SCHEDULE ADD (FCYCLEINFO NCLOB );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_CROSS_INFO') 
 CREATE TABLE T_CBS_ARCHI_CROSS_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FENTITYNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSCHEDULEID BIGINT DEFAULT 0 NOT NULL,
FBATCHNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONFIGID BIGINT DEFAULT 0 NOT NULL,
FTOTALCOUNT BIGINT DEFAULT 0 NOT NULL,
FARCHIVEROUTE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FUPDATETIME DATETIME,
FREVERSESTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCLEANSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FTASKTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDATABASE_TYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CBS_ARCHI_CONFIG' AND KSQL_COL_NAME ='FFILTERTYPE') 
 ALTER TABLE T_CBS_ARCHI_CONFIG ADD (FFILTERTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CBS_ARCHI_CONFIG' AND KSQL_COL_NAME ='FCONDITIONDESC') 
 ALTER TABLE T_CBS_ARCHI_CONFIG ADD (FCONDITIONDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL );