﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CBS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_BASEDATA') 
 CREATE TABLE T_CBS_ARCHI_BASEDATA (
FID BIGINT DEFAULT 0 NOT NULL,
FARCHIVEROUTE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTITYNUMBER NVARCHAR(36) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_CONFIG') 
 CREATE TABLE T_CBS_ARCHI_CONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FGROUPID BIGINT DEFAULT 0 NOT NULL,
FENTITYNUMBER NVARCHAR(36) DEFAULT ' ' NOT NULL,
FCONDITION NCLOB,
FSYNCBASEDATA CHAR(1) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_CONFIG_L') 
 CREATE TABLE T_CBS_ARCHI_CONFIG_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_CONFIG_REFBD') 
 CREATE TABLE T_CBS_ARCHI_CONFIG_REFBD (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBDNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBDNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_CROSS_MVRCD') 
 CREATE TABLE T_CBS_ARCHI_CROSS_MVRCD (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_ENTITY') 
 CREATE TABLE T_CBS_ARCHI_ENTITY (
FID BIGINT DEFAULT 0 NOT NULL,
FARCHIVEROUTE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FARCHIVECOUNT BIGINT DEFAULT 0 NOT NULL,
FREVERSECOUNT BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FENTITYNUMBER NVARCHAR(36) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_LOG') 
 CREATE TABLE T_CBS_ARCHI_LOG (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FENTITYNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPERATIONLOG NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPROGRESSTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_PARAM') 
 CREATE TABLE T_CBS_ARCHI_PARAM (
FID BIGINT DEFAULT 0 NOT NULL,
FDATA NCLOB,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_PLAN') 
 CREATE TABLE T_CBS_ARCHI_PLAN (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(30) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FLONGNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLEVEL BIGINT DEFAULT 0 NOT NULL,
FISLEAF CHAR(1) DEFAULT ' ' NOT NULL,
FPARENTID BIGINT DEFAULT 0 NOT NULL,
FARCHIVEROUTE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSUFFIX BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_PLAN_L') 
 CREATE TABLE T_CBS_ARCHI_PLAN_L (
FPKID NVARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID NVARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFULLNAME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_REVERSE_MVRCD') 
 CREATE TABLE T_CBS_ARCHI_REVERSE_MVRCD (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_REVERSERCD') 
 CREATE TABLE T_CBS_ARCHI_REVERSERCD (
FID BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FARCHI_ENTITYID BIGINT DEFAULT 0 NOT NULL,
FREVERSECOUNT BIGINT DEFAULT 0 NOT NULL,
FBATCHNUM NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_SCHEDULE') 
 CREATE TABLE T_CBS_ARCHI_SCHEDULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FCRONEXPR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDESCRIPTION NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_SCHEDULEENTRY') 
 CREATE TABLE T_CBS_ARCHI_SCHEDULEENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FCONFIGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_SCHEDULERCD') 
 CREATE TABLE T_CBS_ARCHI_SCHEDULERCD (
FID BIGINT DEFAULT 0 NOT NULL,
FSCHEDULEID BIGINT DEFAULT 0 NOT NULL,
FTASKCOUNT BIGINT DEFAULT 0 NOT NULL,
FDESC NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FBATCHNUM NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_SUBTASK') 
 CREATE TABLE T_CBS_ARCHI_SUBTASK (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FENTITYNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FMVTABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPROGRESSSIGN NCLOB,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FTASKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_SYNC_MVRCD') 
 CREATE TABLE T_CBS_ARCHI_SYNC_MVRCD (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKID BIGINT DEFAULT 0 NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_ARCHI_TASK') 
 CREATE TABLE T_CBS_ARCHI_TASK (
FID BIGINT DEFAULT 0 NOT NULL,
FTASKSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FENTITYNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTASKTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FTASKNODE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTARTTIME DATETIME,
FENDTIME DATETIME,
FRUNNODE NVARCHAR(200) DEFAULT ' ' NOT NULL,
FPROGRESSSIGN NCLOB,
FPROGRESSDESC NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FPROGRESS NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FSCHEDULEID BIGINT DEFAULT 0 NOT NULL,
FSCHEDULERCDID BIGINT DEFAULT 0 NOT NULL,
FCONFIGID BIGINT DEFAULT 0 NOT NULL,
FTOTALCOUNT BIGINT DEFAULT 0 NOT NULL,
FBATCHNUM NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\CBS_table.sql **/
