﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_SHARD_METRIC') 
 CREATE TABLE T_CBS_SHARD_METRIC (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRACEID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMETRICSTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FSTACK NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_SHARD_STAT_DET_ETY') 
 CREATE TABLE T_CBS_SHARD_STAT_DET_ETY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FTABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FORIGINALTABLE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCOUNT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_SHARD_STAT_DETAIL') 
 CREATE TABLE T_CBS_SHARD_STAT_DETAIL (
FID BIGINT DEFAULT 0 NOT NULL,
FTOTALCOUNT BIGINT DEFAULT 0 NOT NULL,
FCOST DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FSTATISTICID BIGINT DEFAULT 0 NOT NULL,
FENTITYNUMBER NVARCHAR(36) DEFAULT ' ' NOT NULL,
FTABLECOUNT BIGINT DEFAULT 0 NOT NULL,
FSHARDINGCOUNT BIGINT DEFAULT 0 NOT NULL,
FSHARDING CHAR(1) DEFAULT ' ' NOT NULL,
FORIGINALTABLECOUNT BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_SHARD_STATISTIC') 
 CREATE TABLE T_CBS_SHARD_STATISTIC (
FID BIGINT DEFAULT 0 NOT NULL,
FENTITYNUMBER NVARCHAR(36) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FVERSION BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_SHARD_DISPERSE_INFO') 
 CREATE TABLE T_CBS_SHARD_DISPERSE_INFO (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFIELDS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDISPERSION DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCALCTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_SHARD_DISPERSION') 
 CREATE TABLE T_CBS_SHARD_DISPERSION (
FID BIGINT DEFAULT 0 NOT NULL,
FENTITYNUMBER NVARCHAR(36) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FSHARDINGFIELDS NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_SHARD_METRIC_BILL') 
 CREATE TABLE T_CBS_SHARD_METRIC_BILL (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBILLNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_SHARD_METRIC_INFO') 
 CREATE TABLE T_CBS_SHARD_METRIC_INFO (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FFLAG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FSQL NCLOB,
FSTACK NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_CBS_SHARD_METRIC_STAT') 
 CREATE TABLE T_CBS_SHARD_METRIC_STAT (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CBS_SHARD_PROGRESS' AND KSQL_COL_NAME ='FTASKSTATUS') 
 ALTER TABLE T_CBS_SHARD_PROGRESS ADD (FTASKSTATUS CHAR(1) DEFAULT ' ' NOT NULL);
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CBS_SHARD_PROGRESS' AND KSQL_COL_NAME ='FSTARTTIME') 
 ALTER TABLE T_CBS_SHARD_PROGRESS ADD (FSTARTTIME DATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CBS_SHARD_PROGRESS' AND KSQL_COL_NAME ='FENDTIME') 
 ALTER TABLE T_CBS_SHARD_PROGRESS ADD (FENDTIME DATETIME);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_CBS_SHARD_PROGRESS' AND KSQL_COL_NAME ='FPROGRESSSIGN') 
 ALTER TABLE T_CBS_SHARD_PROGRESS ADD (FPROGRESSSIGN NCLOB);

